Page 1 of 2 12 LastLast
Results 1 to 10 of 19
  1. #1
    Join Date
    Jan 2008
    Posts
    1
    Plugin Contributions
    0

    Default Database needs patching ?

    The new install works fine for me, however, I get a message that my database needs patching. I am wondering if this has anything to do with running php 5 MySQL 5
    here is the error message
    Your database appears to need patching to a higher level. See Tools->Server Information to review patch levels.

    It says my database patch level is "Database Patch Level: 1.3.8"
    Any Suggestions are appreciated!

    Thanks

  2. #2
    Join Date
    Aug 2005
    Location
    Arizona
    Posts
    27,825
    Plugin Contributions
    9

    Default Re: Database needs patching ?

    Did you import an existing DB backup to this install?
    Zen-Venom Get Bitten

  3. #3
    Join Date
    Jun 2007
    Posts
    93
    Plugin Contributions
    0

    Default Re: Database needs patching ?

    Can I jump in on this thread please.

    I am getting the same problem but my server info page says

    Zen Cart 1.3.8

    Database Patch Level: 1.3.7

    v1.3.7 [2007-10-15 14:08:39] (Fresh Installation)
    v1.3.7 [2007-10-15 14:08:39] (Fresh Installation)


    I did a fresh install of 1.3.8 but i DID import the old Database.

    How do I get around this??

    Thanks in Advance.

    Nat

  4. #4
    Join Date
    Jun 2007
    Posts
    93
    Plugin Contributions
    0

    Default Re: Database needs patching ?

    Just a thought - should my old database have been up there before I did the fresh install.
    Should I have then done a database upgrade as oppossed to an install, and then does it do an install as well.
    I did try this but got errors or blank pages so I did the whole install instead

  5. #5
    Join Date
    Jan 2004
    Posts
    65,399
    Blog Entries
    7
    Plugin Contributions
    232

    Default Re: Database needs patching ?

    Quote Originally Posted by sparkiii View Post
    Zen Cart 1.3.8

    Database Patch Level: 1.3.7

    v1.3.7 [2007-10-15 14:08:39] (Fresh Installation)
    v1.3.7 [2007-10-15 14:08:39] (Fresh Installation)


    I did a fresh install of 1.3.8 but i DID import the old Database.
    After you imported, did you run zc_install and do the database-upgrade step?
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  6. #6
    Join Date
    Mar 2004
    Posts
    136
    Plugin Contributions
    0

    Default Re: Database needs patching ?

    My problem is similar to what is being discussed here so I will continue...

    I upgraded from 1.3.7 to 1.3.8a. I uploaded the 1.3.8a files over my existing installation and then ran the zc_install script making sure to choose the upgrade database option. The checkbox was set to 1.3.7 to 1.3.8.

    I received a couple errors saying my admin password was incorrect. I don't believe it was, but I entered it several times and finally it upgraded the database but with an error that said it was not able to update all of the table prefixes.

    I had noticed that the table prefix field said "zen_" so I deleted that because I did not want the prefix updated. My database already had a prefix of "zen_". Why is this filled in already anyway, especially during an upgrade?

    So when I got the error about the prefix not being updated in all the tables, I freaked. I looked at the database with phpMyAdmin and the prefix looks OK in all the tables...so why the error?

    I don't know if I trust my database now. How can I verify the integrity of the database? Is there a way to do this?

    Going into ZC admin, the info about my installation is...

    Server Host: edited out Database Host: edited out
    Server OS: FreeBSD 6.2-RELEASE-p1 Database: MySQL 5.0.45-log
    Server Date: 02/09/2008 15:39:29 Database Date: 02/09/2008 15:39:27
    Server Up Time: 3:39PM up 63 days, 4:43, 1 user, load averages: 0.59, 0.52, 0.52 HTTP Server: Apache/2.2.4
    PHP Version: 5.2.5 (Zend: 2.2.0) PHP Memory Limit: 32M PHP Safe Mode: Off
    PHP File Uploads: On Max Size: 4194304 POST Max Size: 8M
    Database Data Size: 536 kB Database Index Size: 471 kB


    Zen Cart 1.3.8a

    Database Patch Level: 1.3.8

    v1.3.8 [2008-02-09 15:08:03] (Version Update 1.3.7->1.3.8)
    v1.3.7 [2007-10-02 11:12:28] (Version Update 1.3.6->1.3.7)
    v1.3.6 [2007-10-02 11:12:28] (Version Update 1.3.5->1.3.6)
    v1.3.5 [2007-10-02 11:12:28] (Version Update 1.3.0.2->1.3.5)
    v1.3.0.2 [2007-10-02 11:12:27] (Version Update 1.3.0.1->1.3.0.2)
    v1.3.0.1 [2007-10-02 11:12:27] (Version Update 1.3.0->1.3.0.1)
    v1.3.0 [2007-10-02 11:12:27] (Version Update 1.2.7->1.3.0)
    v1.2.7 [2007-10-02 11:12:27] (Version Update 1.2.6->1.2.7)
    v1.2.6 [2007-10-02 11:12:27] (Version Update 1.2.5->1.2.6)
    v1.2.5 [2007-10-02 11:12:27] (Version Update 1.2.4->1.2.5)
    v1.2.4 [2007-10-02 11:12:26] (Version Update 1.2.3->1.2.4)
    v1.2.3 [2007-10-02 11:12:26] (Version Update 1.2.2->1.2.3)
    v1.2.2 [2007-10-02 11:12:26] (Zen-Cart Core Files Version Info)

  7. #7
    Join Date
    Aug 2005
    Location
    Arizona
    Posts
    27,825
    Plugin Contributions
    9

    Default Re: Database needs patching ?

    The reason on the upgrade screen for these is to insure that any additional tables are written with the correct prefix if there is one.

    How many tables do you now have versus before? You do have a backup correct?

    Insure that all tables either have a prefix or that none do.
    Zen-Venom Get Bitten

  8. #8
    Join Date
    Feb 2008
    Posts
    12
    Plugin Contributions
    0

    Default Re: Database needs patching ?

    Question based on the comments above:
    Can you (and if you can how) fresh install 1.3.8a and then upload your old database data? (once the store is configured back to the functionality it had in 1.3.7)

    Thanks,
    Phil

  9. #9
    Join Date
    Aug 2005
    Location
    Arizona
    Posts
    27,825
    Plugin Contributions
    9

    Default Re: Database needs patching ?

    Can you (and if you can how) fresh install 1.3.8a and then upload your old database data? (once the store is configured back to the functionality it had in 1.3.7)
    If I am reading this right - tehn No....you will not get original function necessarily until you upload your ald DB and UPGRADE it.

    While there may be many ways to have success the recommended way is bullet proof.

    http://tutorials.zen-cart.com/index.php?article=98
    http://tutorials.zen-cart.com/index.php?article=108
    http://tutorials.zen-cart.com/index.php?article=103
    Zen-Venom Get Bitten

  10. #10
    Join Date
    Feb 2008
    Posts
    12
    Plugin Contributions
    0

    Default Re: Database needs patching ?

    Thanks Kobra!

    I don't know why I try to do things the perceived easy way—and then spend hours frustrated.

    "Bulletproof" sold me! (I love that expression)

    Thanks,
    Phil

 

 
Page 1 of 2 12 LastLast

Similar Threads

  1. v154 Database needs patching?
    By In2Deep in forum Upgrading to 1.5.x
    Replies: 5
    Last Post: 30 Mar 2016, 04:45 PM
  2. My database needs patching from 1.3.9 to 1.5.0
    By In2Deep in forum Upgrading to 1.5.x
    Replies: 6
    Last Post: 5 May 2012, 08:28 PM
  3. Database needs patching
    By cheapmanuals in forum Upgrading from 1.3.x to 1.3.9
    Replies: 2
    Last Post: 29 Jan 2011, 03:15 AM
  4. database needs patching
    By zas in forum General Questions
    Replies: 6
    Last Post: 5 Apr 2007, 05:49 AM
  5. Database needs patching
    By Minnie Mouse in forum Upgrading from 1.3.x to 1.3.9
    Replies: 3
    Last Post: 30 Jan 2007, 12:38 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR